> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usebrainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List chat embed deployment logs for a worker with optional filtering

> Retrieves all chat embed deployment logs for the worker. Optionally, logs can be filtered by deploymentId and/or flowId by providing corresponding query parameters.




## OpenAPI

````yaml /openapi-specs/brainbase-openapi.documented.json get /api/workers/{workerId}/deploymentLogs/chat-embed
openapi: 3.0.0
info:
  title: Brainbase REST API
  version: 1.0.3
  description: API documentation for Brainbase REST API
servers:
  - url: https://brainbase-monorepo-api.onrender.com
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Team
    description: Endpoints related to team functionalities
  - name: Integrations
    description: Endpoints for integrations
  - name: Assets
    description: Endpoints for asset management
  - name: Workers
    description: Endpoints for worker operations
  - name: Flows
    description: Endpoints for flow management
  - name: Voice Deployments
    description: Endpoints for voice deployments
  - name: Voice V1 Deployments
    description: Endpoints for voice v1 deployments
  - name: Voice Deployment Logs
    description: Endpoints for voice deployment logs
  - name: Voice Deployment Outbound Data
    description: Endpoints for voice deployment outbound data
  - name: Chat Deployments
    description: Endpoints for chat deployments
  - name: Chat Deployment Logs
    description: Endpoints for chat deployment logs
  - name: Tags
    description: Endpoints for tag management and worker tag assignment
  - name: Echo
    description: Endpoints for Echo test suites, agents, and scorecards
  - name: Flow Versions
    description: Endpoints for flow version control
  - name: Deployment History
    description: Endpoints for deployment change history
  - name: Deployment Parameters
    description: Endpoints for deployment parameters
  - name: Log Exports
    description: Endpoints for async log export to CSV/JSON
  - name: Logs
    description: >-
      Universal log lookup — fetch any deployment log by ID without needing
      worker or deployment context
  - name: Deployments
    description: >-
      Universal deployment lookup — fetch any deployment by ID without needing
      worker context
paths:
  /api/workers/{workerId}/deploymentLogs/chat-embed:
    get:
      tags:
        - Chat Embed Deployment Logs
      summary: List chat embed deployment logs for a worker with optional filtering
      description: >
        Retrieves all chat embed deployment logs for the worker. Optionally,
        logs can be filtered by deploymentId and/or flowId by providing
        corresponding query parameters.
      parameters:
        - name: workerId
          in: path
          required: true
          schema:
            type: string
        - name: deploymentId
          in: query
          required: false
          schema:
            type: string
          description: Filter logs by deployment id
        - name: flowId
          in: query
          required: false
          schema:
            type: string
          description: Filter logs by flow id
        - name: sessionId
          in: query
          required: false
          schema:
            type: string
          description: Filter logs by session id
      responses:
        '200':
          description: List of chat embed deployment logs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChatEmbedDeploymentLog'
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import BrainbaseLabs from 'brainbase-labs';


            const client = new BrainbaseLabs({
              apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
            });


            const embeds = await
            client.workers.deploymentLogs.chat.embed.list('workerId');


            console.log(embeds);
        - lang: Python
          source: |-
            import os
            from brainbase_labs import BrainbaseLabs

            client = BrainbaseLabs(
                api_key=os.environ.get("BRAINBASE_LABS_API_KEY"),  # This is the default and can be omitted
            )
            embeds = client.workers.deployment_logs.chat.embed.list(
                worker_id="workerId",
            )
            print(embeds)
components:
  schemas:
    ChatEmbedDeploymentLog:
      type: object
      properties:
        id:
          type: string
          nullable: false
        startTime:
          type: string
          nullable: true
          format: date-time
        endTime:
          type: string
          nullable: true
          format: date-time
        sessionId:
          type: string
          nullable: true
        messages:
          type: object
          nullable: true
        status:
          type: string
          nullable: true
        messageCount:
          type: integer
          nullable: true
        duration:
          type: integer
          nullable: true
        userAgent:
          type: string
          nullable: true
        originUrl:
          type: string
          nullable: true
        toolCalls:
          type: object
          nullable: true
        latency:
          type: object
          nullable: true
        expired:
          type: boolean
          nullable: false
      required:
        - id
        - expired
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication

````